### Function

# Foundry InputValidatorCallback

#### Declaration

    DexFuture*
    (* FoundryInputValidatorCallback) (
      FoundryInput* input,
      gpointer user_data
    )

#### Description

No description available.

This function is not directly available to language bindings.

#### Parameters

`input`

  Type: `FoundryInput`

  No description available.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

No description available.

The data is owned by the called function.